set(MKL_INTERFACE_FULL intel_lp64)
find_package(OpenMP REQUIRED)
find_package(MKL CONFIG REQUIRED)
enable_language(CUDA)
find_package(CUDAToolkit REQUIRED)

set(Aurora_MAJOR_VERSION 1)
set(Aurora_MINOR_VERSION 0)
set(Aurora_BUILD_VERSION 0)

get_filename_component(Aurora_DIR "${CMAKE_CURRENT_LIST_DIR}/" PATH)

message("Aurora_DIR: ${Aurora_DIR}")
file(GLOB_RECURSE Aurora_Source "${Aurora_DIR}/src/[AFSC]*.cpp" "${Aurora_DIR}/src/Matrix*.cpp" "${Aurora_DIR}/src/*.cu")
message( ${Aurora_Source})
set(Aurora_INCLUDE_DIRS "${Aurora_DIR}/src" "${Aurora_DIR}/thirdparty/include" $<TARGET_PROPERTY:MKL::MKL,INTERFACE_INCLUDE_DIRECTORIES>)

set(Aurora_Complie_Options $<TARGET_PROPERTY:MKL::MKL,INTERFACE_COMPILE_OPTIONS> )
set(Aurora_Libraries $<LINK_ONLY:MKL::MKL> OpenMP::OpenMP_CXX ${CUDA_cublas_LIBRARY} ${CUDA_cusolver_LIBRARY})
set(Aurora_FOUND TRUE)
message(Aurora Found)